uk.gov.hmrc.mongo

# MongoConnector

###
Related Doc: package mongo

#### case class MongoConnector(mongoConnectionUri: String, failoverStrategy: Option[FailoverStrategy] = None, dbTimeout: Option[FiniteDuration] = None, defaultHeartbeatFrequencyMS: Option[Int] = None) extends SimpleMongoConnection with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, SimpleMongoConnection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoConnector
2. Serializable
3. Serializable
4. Product
5. Equals
6. SimpleMongoConnection
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoConnector(mongoConnectionUri: String, failoverStrategy: Option[FailoverStrategy] = None, dbTimeout: Option[FiniteDuration] = None, defaultHeartbeatFrequencyMS: Option[Int] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def close(): Unit

   Definition Classes
     SimpleMongoConnection

7. #### implicit def db: () ⇒ DefaultDB

   Definition Classes
     SimpleMongoConnection

8. #### val dbTimeout: Option[FiniteDuration]

   Definition Classes
     MongoConnector → SimpleMongoConnection

9. #### val defaultHeartbeatFrequencyMS: Option[Int]

   Definition Classes
     MongoConnector → SimpleMongoConnection

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### val failoverStrategy: Option[FailoverStrategy]

    Definition Classes
      MongoConnector → SimpleMongoConnection

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### lazy val helper: ReactiveMongoHelper

    Definition Classes
      SimpleMongoConnection

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val mongoConnectionUri: String

    Definition Classes
      MongoConnector → SimpleMongoConnection

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SimpleMongoConnection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped